Commit bfde3252 authored by Filippo Rusconi's avatar Filippo Rusconi
Browse files

Preparing version 0.4.16-1.

parent a2105f39
...@@ -6,6 +6,11 @@ ...@@ -6,6 +6,11 @@
CMAKE_MINIMUM_REQUIRED(VERSION 3.0) CMAKE_MINIMUM_REQUIRED(VERSION 3.0)
PROJECT(xtpcpp CXX) PROJECT(xtpcpp CXX)
set(XTPCPP_VERSION_MAJOR "0")
set(XTPCPP_VERSION_MINOR "4")
set(XTPCPP_VERSION_PATCH "16")
set(XTPCPP_VERSION "${XTPCPP_VERSION_MAJOR}.${XTPCPP_VERSION_MINOR}.${XTPCPP_VERSION_PATCH}")
set(VERSION 0.4.16)
# Add folder where are supportive functions # Add folder where are supportive functions
set(CMAKE_UTILS_PATH ${CMAKE_SOURCE_DIR}/CMakeStuff) set(CMAKE_UTILS_PATH ${CMAKE_SOURCE_DIR}/CMakeStuff)
...@@ -127,7 +132,7 @@ endif( CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo" ) ...@@ -127,7 +132,7 @@ endif( CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo" )
message(STATUS "${BoldYellow}CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}.${ColourReset}") message(STATUS "${BoldYellow}CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}.${ColourReset}")
#depending on libpappsomspp version : #depending on libpappsomspp version :
set(LIBPAPPSOMSPP_VERSION "0.8.11") set(LIBPAPPSOMSPP_VERSION "0.8.13")
configure_file (${CMAKE_SOURCE_DIR}/debian/control.cmake ${CMAKE_SOURCE_DIR}/debian/control @ONLY) configure_file (${CMAKE_SOURCE_DIR}/debian/control.cmake ${CMAKE_SOURCE_DIR}/debian/control @ONLY)
...@@ -135,12 +140,6 @@ set(SOFTWARE_NAME "X!TandemPipeline") ...@@ -135,12 +140,6 @@ set(SOFTWARE_NAME "X!TandemPipeline")
set(BUILD_SYSTEM_NAME "${CMAKE_SYSTEM}") set(BUILD_SYSTEM_NAME "${CMAKE_SYSTEM}")
set(XTPCPP_VERSION_MAJOR "0")
set(XTPCPP_VERSION_MINOR "4")
set(XTPCPP_VERSION_PATCH "15")
set(XTPCPP_VERSION "${XTPCPP_VERSION_MAJOR}.${XTPCPP_VERSION_MINOR}.${XTPCPP_VERSION_PATCH}")
set(VERSION ${XTPCPP_VERSION})
# Set the CMAKE_PREFIX_PATH for the find_library fonction when using non # Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
# standard install location # standard install location
if(CMAKE_INSTALL_PREFIX) if(CMAKE_INSTALL_PREFIX)
......
xtpcpp (0.4.16-1) unstable; urgency=low
* New version that requires libpappsomspp 0.8.13.
-- Filippo Rusconi <lopippo@debian.org> Tue, 08 Dec 2020 20:48:29 +0100
xtpcpp (0.4.15-1) buster; urgency=medium xtpcpp (0.4.15-1) buster; urgency=medium
* little fix concerning masschroq binary file path * little fix concerning masschroq binary file path
......
...@@ -7,8 +7,8 @@ Build-Depends: debhelper-compat (= 12), ...@@ -7,8 +7,8 @@ Build-Depends: debhelper-compat (= 12),
dpkg-dev (>= 1.18.25), dpkg-dev (>= 1.18.25),
cmake (>= 3.12), cmake (>= 3.12),
qtbase5-dev, qtbase5-dev,
libpappsomspp-dev (>= 0.8.11), libpappsomspp-dev (>= 0.8.13),
libpappsomspp-widget-dev (>= 0.8.11), libpappsomspp-widget-dev (>= 0.8.13),
libodsstream-dev, libodsstream-dev,
libqt5svg5-dev, libqt5svg5-dev,
libqcustomplot-dev, libqcustomplot-dev,
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment